## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate wayland-scanner

Name:           rust-%{crate}
Version:        0.28.6
Release:        %autorelease
Summary:        Wayland Scanner for generating rust APIs from XML wayland protocol files

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/wayland-scanner
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Wayland Scanner for generating rust APIs from XML wayland protocol files.
Intended for use with wayland-sys. You should only need this crate if you are
working on custom wayland protocol extensions. Look at the crate wayland-client
for usable bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.txt
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.28.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Fabio Valentini <decathorpe@gmail.com> 0.28.6-1
- Update to version 0.28.6; Fixes RHBZ#1977496

* Fri May 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.28.5-1
- Update to version 0.28.5.

* Mon Mar 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.28.4-1
- Update to version 0.28.4.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 31 2020 Fabio Valentini <decathorpe@gmail.com> - 0.28.3-1
- Update to version 0.28.3.

* Mon Nov 09 2020 Fabio Valentini <decathorpe@gmail.com> - 0.28.2-1
- Update to version 0.28.2.
- Fixes RHBZ#1895848

* Thu Oct 15 2020 Stefano Figura <stefano@figura.im> - 0.28.1-1
- Update to version 0.28.1.

* Sun Oct 04 2020 Fabio Valentini <decathorpe@gmail.com> - 0.28.0-1
- Update to version 0.28.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 14 09:34:56 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.26.6-2
- Include license and readme

* Thu Jun 04 2020 Michel Alexandre Salim <michel@michel-slm.name> - 0.26.6-1
- Update to 0.26.6

* Fri May 22 14:42:00 PDT 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.26.5-1
- Initial package

